Separate out 'tboverride' right for account creation
Closed, ResolvedPublic

Description

Author: jake

Description:
Right now, there is a single 'tboverride' right given to the 'accountcreator' group on enwiki. This allows those users who work on the account creation team to bypass the title blacklist when creating accounts, but it also lets them edit pages that only sysops are supposed to be able to edit. Creating a 'tboverride-acc' right that only allows the user to bypass the TBL for account creation would remedy this, if it was assigned to that group instead.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz22141.
bzimport created this task.Via LegacyJan 18 2010, 10:24 PM
Anomie added a comment.Via ConduitOct 10 2010, 2:27 PM

Note that discussion on enwiki would need to occur regarding what to do for those users currently granted "accountcreator" for tboverride unconnected to account creation before the enwiki configuration of accountcreator were to be changed to grant tboverride-acc instead.

vvv added a comment.Via ConduitNov 8 2010, 9:56 PM

Should be fixed as of r76344.

Cenarium reopened this task as "Open".EditedVia WebNov 26 2014, 12:10 PM
Cenarium added a subscriber: Cenarium.

This can now be fixed on en.wikipedia too. This is an unnecessary risk and useless now that we have the template editor usergroup.

Anomie added a comment.Via WebNov 26 2014, 4:34 PM

Please open a new bug following the instructions at https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes to request the configuration change.

Anomie closed this task as "Resolved".Via WebNov 26 2014, 4:34 PM
Anomie set Security to None.

Add Comment